View Issue Details

IDProjectCategoryView StatusLast Update
0003107unrealircdpublic2013-05-07 06:51
ReporterSakkathAssigned Tonenolod 
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
PlatformOSSome are FreeBSD some are LinuxOS VersionN/A
Product Version3.2.6 
Target VersionFixed in Version3.4-alpha1 
Summary0003107: Feature Request: /who +p, for port
DescriptionI have a good idea for a feature request, I believe. Someone in #unreal-support actually found it a good idea too and said I should request it. I request an additional filter for /who, to find filter for a port, i.e '/who +p 6667'. Possibly a way to make this run in conjunction with '/who +s'
TagsNo tags attached.
3rd party modulesregexkill, m_ircops (Both found on the UnrealIRCd website)

Activities

vonitsanet

2006-11-06 07:51

reporter   ~0012594

Something good for 3.3* ?:D
+1 from me:D

Sakkath

2006-11-06 08:03

reporter   ~0012595

Thanks man, I hope we get some support on this, it could be useful. The situation that rose up that required me to need something like this was simple. One server on the network up until recently had a lot of weird listen ports. (The admin was a beginner). I had him clean up his listen list, but /stats P shows that one of the ports (8067, odd eh?) is TEMPORARY and has 1 client. I have no clue who that client is to tell them to get off! :-p

syzop

2006-11-06 08:22

administrator   ~0012596

Though, slightly offtopic, the first port (which is the last or the first listen { } block when the ircd started, I forgot which), will always be "kept open". This is something internal, I don't remember what the thoughts behind it are.

As for /who hmm... possible, sure... :p

Sakkath

2006-11-06 14:49

reporter   ~0012597

So you would add it? Awesome!

Muisje

2006-11-06 16:35

reporter   ~0012598

I like the thought, however it would merely be of any use.

Don't think it should be inserted into the core but more of a third party module.

In reply to syzop: i think unreal always demands 1 port to be open, without a port unreal is useless and basically "shutdown". That's probably the thought behind it.

Yet, how hard it may seem, a quick restart would most likely be better, even though you have alot of people on that server.
But that's my personal opinion.

Sakkath

2006-11-06 16:54

reporter   ~0012599

Good point, Muisje. I do believe a lot of the /who features _are_ not really that useful, what about the adchat, nadchat, etc, all those are pretty pointless too, some people find them of use and like them, and I figured maybe someone would like this and find it of use.

Syzop- I am learning C, but I'm a slow learner, and I'm only beginning, how hard would coding such a module be? I asked about this feature in #unreal-support, and a guy named 'guu' said putting it as a module would be sort of pointless and not as easy as just implementing it in the core, and told me I should make a feature request. If you think coding this would be hard, could you either help me, and then maybe distribute it as an offical module? Or would you mind coding it for me, if you don't want to waste time helping me? :-p

stskeeps

2006-11-07 08:47

reporter   ~0012600

A listener is alive until its last client disconnects.

Muisje

2006-11-07 09:18

reporter   ~0012601

There's a reason why i like unreal to become more modular :)

JasonTik

2006-11-07 13:37

reporter   ~0012602

UnrealIRCd can be useful without any listeners. It could be a dedicated hub with autoconnect on the link blocks for its leaves. </offtopic response to tangent>

Sakkath

2007-04-27 07:02

reporter   ~0013878

I know it doesn't have to have listeners. Anyways, I'd put autoconnect in the leaf's link block so if it goes down I don't get spam in the status.

Shining Phoenix

2007-04-28 04:49

reporter   ~0013904

Last edited: 2007-04-28 04:52

If you're admin(s) isn't a newbie, the one instance I can think of when you would want to find users by port is if you have just xxxx and yyyy(SSL) open to clients. /who -m z and /who +m z get those two lists of people just fine.

WolfSage

2007-06-09 13:19

reporter   ~0014290

Added in .2423

nenolod

2013-05-07 06:50

reporter   ~0017521

http://hg.unrealircd.org/hg/unreal/rev/7258862ba6b8

Issue History

Date Modified Username Field Change
2006-11-06 07:50 Sakkath New Issue
2006-11-06 07:50 Sakkath 3rd party modules => regexkill, m_ircops (Both found on the UnrealIRCd website)
2006-11-06 07:51 vonitsanet Note Added: 0012594
2006-11-06 08:03 Sakkath Note Added: 0012595
2006-11-06 08:22 syzop Note Added: 0012596
2006-11-06 14:49 Sakkath Note Added: 0012597
2006-11-06 16:35 Muisje Note Added: 0012598
2006-11-06 16:54 Sakkath Note Added: 0012599
2006-11-07 08:47 stskeeps Note Added: 0012600
2006-11-07 09:18 Muisje Note Added: 0012601
2006-11-07 13:37 JasonTik Note Added: 0012602
2007-04-27 03:32 stskeeps Status new => acknowledged
2007-04-27 07:02 Sakkath Note Added: 0013878
2007-04-27 08:53 stskeeps Summary Feature Request => Feature Request: /who +p, for port
2007-04-28 04:49 Shining Phoenix Note Added: 0013904
2007-04-28 04:52 Shining Phoenix Note Edited: 0013904
2007-06-09 13:19 WolfSage Note Added: 0014290
2007-06-09 13:19 WolfSage Assigned To => WolfSage
2007-06-09 13:19 WolfSage Status acknowledged => resolved
2007-06-09 13:19 WolfSage Resolution open => fixed
2007-06-09 17:01 WolfSage Status resolved => feedback
2007-06-09 17:01 WolfSage Resolution fixed => reopened
2007-06-09 17:01 WolfSage Status feedback => resolved
2007-06-09 17:01 WolfSage Resolution reopened => fixed
2007-06-09 17:01 WolfSage Fixed in Version => 3.3-alpha0
2011-07-19 17:48 syzop Assigned To WolfSage =>
2011-07-19 17:48 syzop Status resolved => needs re porting
2013-05-07 06:50 nenolod Note Added: 0017521
2013-05-07 06:50 nenolod Status needs re porting => resolved
2013-05-07 06:50 nenolod Fixed in Version 3.3-alpha0 => 3.4-alpha1
2013-05-07 06:50 nenolod Assigned To => nenolod